TechDraw Ajout d'une ligne de rappel

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw LeaderLine and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский

TechDraw LeaderLine.svg TechDraw Ajout d'une ligne de rappel

Emplacement du menu
TechDraw → Add Lines → Add Leaderline to View
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
TechDraw Annotation en texte enrichi, TechDraw Symbole de soudure, TechDraw Groupes de lignes


Description

L'outil Ajout d'une ligne de rappel (LeaderLine) ajoute une ligne à une vue. D'autres objets d'annotation (tels que Annotation en texte enrichi) peuvent être connectés à LeaderLine pour former des annotations complexes.

TechDraw LeaderLine sample.png

Ligne de rappel ajoutée à View001


Utilisation

  1. Sélectionnez une vue.
  2. Appuyez sur le bouton TechDraw LeaderLine.svg Add Leaderline to View. Une boîte de dialogue s'ouvrira permettant de dessiner la ligne de repère et d'assigner des symboles de fin à la ligne.
  3. Cliquez sur Pick points puis cliquez dans la page pour définir le point de départ de la ligne.
  4. Déplacez la souris et cliquez sur un autre point pour créer une ligne.
  5. Maintenant, vous pouvez soit:
    1. terminer le dessin au trait en double-cliquant ou en appuyant sur Save Points.
    2. ajoutez d'autres points pour définir davantage de segments de ligne.
  6. Pour terminer la création, appuyez sur OK pour fermer la boîte de dialogue.

Remarque: Si vous n'avez défini aucun point lors de la création de la ligne de rappel, une ligne courte sera placée au centre de la vue.

Édition

  1. Sélectionnez la ligne de rappel dans l'arborescence des documents et double-cliquez dessus.
  2. Une boîte de dialogue s'ouvrira où vous pourrez changer l'apparence.
  3. Pour modifier les points, cliquez sur Edit points et les points de ligne deviennent visibles dans le dessin.
  4. Faites glisser les points vers un endroit que vous aimez et terminez la modification en cliquant sur Save changes.

Propriétés

  • DonnéesX, Y: Le point auquel la ligne de rappel est connectée à la vue.
  • DonnéesLeader Parent: la vue à laquelle la ligne est attachée.
  • DonnéesStart Symbol: Le symbole au début: Arrownone.svg Aucun, Arrowfilled.svg Flèche pleine, Arrowopen.svg Flèche ouverte, Arrowtick.svg Coché, Arrowdot.svg Point, Arrowopendot.svg Cercle ouvert, Arrowfork.svg Fourche, Arrowpyramid.svg Triangle rempli
  • DonnéesEnd Symbol: le symbole de fin de ligne à l'autre extrémité.
  • DonnéesWayPoints: noeuds sur la ligne de rappel.
  • DonnéesScalable: la ligne de rappel évolue avec LeaderLine Parent.
  • DonnéesAuto Horizontal: force le dernier segment de ligne de rappel à être horizontal.
  • VueColor: Couleur de stylo pour la ligne de rappel.
  • VueLine Style: 0 Pas de ligne, 1 Continuous-line.svg Continu, 2 Dash-line.svg Tiret, 3 Dot-line.svg Point , 4 DashDot-line.svg Tiret Point, 5 DashDotDot-line.svg Tiret Point Point
  • VueLine Width: largeur de la ligne de rappel.

Script

Voir aussi: TechDraw API et FreeCAD Script de Base.

L'outil Ligne de rappel peut être utilisée dans une macro et dans la console Python en utilisant la fonction suivante:

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawLeaderLine','DrawLeaderLine')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)  
#rest of waypoints are positions relative to (0,0,0)
leaderObj.WayPoints = [p0,p1,p2]
leaderObj.X = 5
leaderObj.Y = 5

Remarques

  • Vous pouvez modifier une ligne de rappel en double-cliquant dessus dans l'arborescence. Le double-clic dans la zone graphique n'est pas encore pris en charge. Le ou les segments de ligne peuvent être modifiés en appuyant sur Edit points. Pour quitter la modification des points, appuyez sur Save changes ou Discard changes.
  • Si vous n'avez défini aucun point lors de la création de la ligne de rappel, une ligne courte sera placée au centre de la vue. Vous ne pourrez plus ajouter ultérieurement de points.
  • Par défaut, l'option TechDraw Préférences Ligne de rappel automatique horizontale est activée. Par conséquent, le dernier segment de ligne sera horizontal. Donc, si vous n'avez qu'un seul segment, vous obtenez une ligne horizontale, peu importe où vous avez choisi le deuxième point.
  • Vous pouvez désactiver la fonction horizontale automatique pour les lignes de rappel existantes en modifiant la propriété DonnéesAuto Horizontal.